package com.ho.business.mapper;


import com.ho.business.entity.Picture;
import com.ho.business.vo.req.MesFileReqVo;
import com.ho.business.vo.req.picture.PictureQueryReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author yule
* @description 针对表【picture】的数据库操作Mapper
* @createDate 2023-01-03 13:57:19
* @Entity com.ho.business.entity.Picture
*/
@Mapper
public interface PictureMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(Picture record);

    int insertSelective(Picture record);

    Picture selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Picture record);

    int updateByPrimaryKey(Picture record);

    void deletedBySrcIdsAndType(List<Integer> srcIds,Integer type);

    List<Picture> selectBySrcIdAndType(Integer srcId,Integer type);

    List<Picture> selectByParam(PictureQueryReq req);

    List<Picture> selectByParams(PictureQueryReq req);

    Picture selectLastOne(Integer type);

    void setUpSrcIdNUll(List<Integer> pictureIds);

    List<Picture> selectAll();

    void deletedByIds(List<Integer> picturesIds);


    Picture selectByStationAndType(Integer id, Integer type);

}
